# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3 rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-taskw
%define fedora 18

%if 0%{?fedora} > 12 || 0%{?rhel} > 6
%global with_python3 1
%endif

%global modname taskw

Name:             python-module-taskw
Version:          0.4.3
Release:          alt2_2
Summary:          Python bindings for your taskwarrior database

Group:            Development/Python
License:          GPLv3+
URL:              http://pypi.python.org/pypi/taskw
Source0:          http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:        noarch


BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-nose
BuildRequires:    python-module-six

Requires:         python-module-six

%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:    python-module-ordereddict
Requires:         python-module-ordereddict
%endif

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
BuildRequires:    python3-module-nose
BuildRequires:    python3-module-matplotlib
%endif
Source44: import.info

%description
This is a python API for the `taskwarrior <http://taskwarrior.org>`_
command line tool.

%if 0%{?with_python3}
%package -n python3-module-taskw
Summary:        Python bindings for your taskwarrior database
Group:          Development/Python

Requires:       python3-module-matplotlib

%description -n python3-module-taskw
This is a python API for the `taskwarrior <http://taskwarrior.org>`_
command line tool.
%endif

%prep
%setup -q -n %{modname}-%{version}

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif

%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{_builddir}/python3-%{oldname}-%{version}-%{release}
%{__python3} setup.py install -O1 --skip-build --root=%{buildroot}
popd
%endif
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE.txt
%{python_sitelibdir_noarch}/%{modname}
%{python_sitelibdir_noarch}/%{modname}-%{version}*

%if 0%{?with_python3}
%files -n python3-module-taskw
%doc LICENSE.txt README.rst
%{python3_sitelibdir_noarch}/%{modname}
%{python3_sitelibdir_noarch}/%{modname}-%{version}-*

%endif


%changelog
* Mon Apr 01 2013 Cronbuild Service <cronbuild@altlinux.org> 0.4.3-alt2_2
- rebuild to get rid of unmets

* Fri Jan 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.3-alt1_2
- initial fc import

